using CFX;
using CFX.Production;
using CFX.Structures;
using Sln.Iot.Serilog;

namespace Sln.Iot.CFX.Event
{
    /// <summary>
    /// 配方修改事件
    /// </summary>
    public class RecipeModifiedEvent
    {
        /// <summary>
        /// 数据封装处理
        /// </summary>
        /// <returns></returns>
        public CFXMessage Handle(string recipeName)
        {
            CFXMessage eve = null;
            try
            {
                eve = new RecipeModified()
                {
                    RecipeName = recipeName,
                    Revision = "2.0",
                    ModifiedBy = new Operator()
                    {
                        ActorType = ActorType.Human,
                        LoginName = "admin",
                    },
                    Reason = RecipeModificationReason.UpdatedGeometry,
                };
            }
            catch (Exception e)
            {
                SerilogHelper.Instance.Error("终端节点连接事件数据封装异常", e);
            }
            return eve;
        }
    }
}
